Subject: Re: [Ecrit] AI for Data-Only Emergency Calls

From: "Tschofenig, Hannes (NSN - FI/Espoo)" <[email-masked]>
Date: Mon, 28 Dec 2009 11:36:15 +0200

Hi Martin, 

Thanks for your response. 

There are a few options to solve the encountered problem:

A) Wait for a future CAP specification that allows PIDF-LO functionality
to be conveyed. 

B) Investigate the usage of GeoRSS instead

C) Define our own approach for encoding additional location fields
(civic and geo) into the CAP message

D) Include a pointer in the CAP message to point to a PIDF-LO carried
outside. 

E) Accept the fact that CAP is quite limited with regard to location

F) Define our own format (instead of CAP or GeoRSS)

Which option do you prefer?  

Ciao
Hannes

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] 
>On Behalf Of ext Thomson, Martin
>Sent: 11 November, 2009 06:55
>To: Hannes Tschofenig; [email-masked]
>Subject: Re: [Ecrit] AI for Data-Only Emergency Calls
>
>I suggested that we already have a mechanism for this and that 
>there wasn't any need for change.  Brian expressed the desire 
>that the location used for routing the message be identical to 
>that included in the actual alert.
>
>For that, I'd recommend that Brian talk to those who define 
>CAP.  I don't see there being much that we could do here, 
>aside from noting how the CAP might be populated.  For now, 
>perhaps we need to accept that the CAP document will contain 
>less information (or less detailed information) than is 
>included for routing.
>
>--Martin
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] 
>On Behalf 
>> Of Hannes Tschofenig
>> Sent: Wednesday, 11 November 2009 1:45 PM
>> To: [email-masked]
>> Subject: [Ecrit] AI for Data-Only Emergency Calls
>> 
>> draft-rosen-ecrit-data-only-ea-00.txt describes a solution for 
>> conveying a CAP message in a SIP MESSAGE.
>> 
>> There is one big open issue in the document: How do we carry 
>location 
>> information in or attached to the CAP message (since CAP does not 
>> carry what we need with respect to location information).
>> 
>> So, we will need a discussion of what could be sensible to do.
>> 
>> Ciao
>> Hannes
>> 
>> _______________________________________________
>> Ecrit mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ecrit
>
>_______________________________________________
>Ecrit mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ecrit
>